"""Add cascade delete

Revision ID: 1ffa8d44f772
Revises: a69dfec6b6c5
Create Date: 2023-08-02 21:05:35.412217

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "1ffa8d44f772"
down_revision = "a69dfec6b6c5"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("course_subject_id_fkey", "course", type_="foreignkey")
    op.create_foreign_key(
        "course_subject_id_fkey",
        "course",
        "subject",
        ["subject_id"],
        ["subject_id"],
        ondelete="CASCADE",
    )
    op.drop_constraint("offering_course_id_fkey", "offering", type_="foreignkey")
    op.create_foreign_key(
        "offering_course_id_fkey",
        "offering",
        "course",
        ["course_id"],
        ["course_id"],
        ondelete="CASCADE",
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("offering_course_id_fkey", "offering", type_="foreignkey")
    op.create_foreign_key(
        "offering_course_id_fkey",
        "offering",
        "course",
        ["course_id"],
        ["course_id"],
    )
    op.drop_constraint("course_subject_id_fkey", "course", type_="foreignkey")
    op.create_foreign_key(
        "course_subject_id_fkey",
        "course",
        "subject",
        ["subject_id"],
        ["subject_id"],
    )
    # ### end Alembic commands ###
