"""Add offering table

Revision ID: 86cd0f1798a8
Revises: 
Create Date: 2023-07-29 11:07:25.557700

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "86cd0f1798a8"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "offering",
        sa.Column(
            "crn",
            sa.Integer(),
            nullable=False,
            comment="Course Reference Number, unique to offering.",
        ),
        sa.Column(
            "instructor",
            sa.String(length=30),
            nullable=False,
            comment="Instructor.",
        ),
        sa.Column("price", sa.NUMERIC(), nullable=False, comment="Price."),
        sa.Column(
            "duration",
            sa.String(length=30),
            nullable=False,
            comment="Duration in weeks.",
        ),
        sa.Column(
            "status",
            sa.String(length=30),
            nullable=False,
            comment="Status of course offering.",
        ),
        sa.PrimaryKeyConstraint("crn"),
        comment="Course offerings.",
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("offering")
    # ### end Alembic commands ###
