"""Add unique constraint to course

Revision ID: 8a725632af56
Revises: f1ef91929e99
Create Date: 2023-09-13 06:22:34.278331

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "8a725632af56"
down_revision = "f1ef91929e99"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint(
        op.f("uq_course_subject_id"), "course", ["subject_id", "code"]
    )
    # ### end Alembic commands ###

    # Conform existing unique constraint to new naming convention
    op.execute("ALTER TABLE public.user DROP CONSTRAINT IF EXISTS user_username_key;")
    op.execute("ALTER TABLE public.user DROP CONSTRAINT IF EXISTS uq_user_username;")
    op.create_unique_constraint(op.f("uq_user_username"), "user", ["username"])


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f("uq_course_subject_id"), "course", type_="unique")
    # ### end Alembic commands ###
